%define name comgt
%define old_name gcom
%define version 0.3
%define release %mkrel 2

Summary: GPRS/EDGE/3G/HSDPA datacard control tool
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.pharscape.org/3G/%{name}/%{name}%{version}.tar.bz2
License: GPL
Group: Communications
Url: http://www.pharscape.org/content/view/46/70/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides: %{old_name}
Obsoletes: %{old_name}

%description
comgt is a datacard control tool for Option GlobeTrotter
GPRS/EDGE/3G/HSDPA and Vodafone 3G/GPRS.

It is a scripting language interpreter useful for establishing
communications on serial lines and through PCMCIA modems as well as
GPRS and 3G datacards.

comgt has some features that are rarely found in other utilities of the
same type.

%prep
%setup -q -c %{name}-%{version}

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
install -m 755 %{old_name} $RPM_BUILD_ROOT%{_sbindir}
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 %{old_name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG GPRS.txt TODO UMTS.txt
%{_sbindir}/%{old_name}
%{_mandir}/man1/%{old_name}.1*

%changelog
* Thu Sep  7 2006 Olivier Blin <blino@seggie.mandriva.com> 0.3-2mdv2007.0
- gcom has changed name to comgt

* Thu Apr 20 2006 Olivier Blin <oblin@mandriva.com> 0.3-1mdk
- initial release
